If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Firefox 3 not loading on Debian Lenny

RESOLVED INCOMPLETE

Status

()

Firefox
General
--
critical
RESOLVED INCOMPLETE
10 years ago
8 years ago

People

(Reporter: JD, Unassigned)

Tracking

3.0 Branch
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [closeme 2010-02-15])

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5pre) Gecko/2008032104 Minefield/3.0b5pre
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5pre) Gecko/2008032104 Minefield/3.0b5pre

I'm running a Debian Lenny i686 system which is fully up-to-date as of this morning and i'm trying to get firefox 3 to run on it. I've tried both the Swiftfox .deb files (both Pentium 4 and plain i686) and the .tar.bz2 binary nightlies and Beta 4 from Mozilla. They both error out with these errors:

Swiftfox:

Error: in guard: symbol required but got: Error: fatal: looped fatal error


Vanilla Firefox 3:

Error: in (function call): procedure or syntax required but got: Error: fatal: looped fatal error 

Reproducible: Always

Steps to Reproduce:
1. Install a Firefox nightly on a Debian Lenny (Testing) system
2. Run it via terminal
3.
Actual Results:  
Firefox fails to load and outputs the error stated above

Expected Results:  
Firefox loads
(Reporter)

Comment 1

10 years ago
Also, the versions of stuff:

GCC = 4.2.2
libc6 = 2.7-6
GTK = 2.12.5
XUL = 1.8.1.12

Also, Swiftweasel b4 or b3 doesn't work either.

Comment 2

8 years ago
Can reporter advise if fault persists with recent Firefox versions.
Whiteboard: [closeme 2010-02-15]
No reply, INCOMPLETE. Please retest with Firefox 3.6.x or later and a new profile (http://support.mozilla.com/kb/Managing+profiles). If you continue to see this issue with the newest firefox and a new profile, then please comment on this bug.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INCOMPLETE
Version: unspecified → 3.0 Branch
You need to log in before you can comment on or make changes to this bug.